cdac.medinfo.sdk.hl7282.baselibs

## Class MA

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.MA

- All Implemented Interfaces:
    IDataType

      public class MA
      extends CompositeDataType

  MA - Multiplexed Array

  This data type This data type is used to represent channel-multiplexed waveform data, (e.g., the digitized values from an analog-to-digital converter or other digital data source).

  Represents an HL7 MA data type. This data type has the following attributes:

  1. Sample 1 From Channel 1 (NM)Optional
  2. Sample 1 From Channel 2 (NM)Optional
  3. Sample 1 From Channel N (NM)Optional
  4. Sample 2 From Channel 1 (NM)Optional
  5. Sample 2 From Channel N (NM)Optional
  6. Sample N From Channel N (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MA()` Default Constructor for MA
    `MA(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for MA class which takes two arguments and sets the value in the respective member variable.
    `MA(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for MA class which takes five arguments and sets the value in the respective member variable.
    `MA(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for MA class which takes six arguments and sets the value in the respective member variable.
    `MA(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for MA class which takes four arguments and sets the value in the respective member variable.
    `MA(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for MA class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `NM` | `getSample1FromChannel1()` Returns Sample 1 From Channel 1
    `NM` | `getSample1FromChannel2()` Returns Sample 1 From Channel 2
    `NM` | `getSample1FromChannelN()` Returns Sample 1 From Channel N
    `NM` | `getSample2FromChannel1()` Returns Sample 2 From Channel 1
    `NM` | `getSample2FromChannelN()` Returns Sample 2 From Channel N
    `NM` | `getSampleNFromChannelN()` Returns Sample N From Channel N
    `void` | `setSample1FromChannel1(NM objNM)` Sets the Sample1FromChannel1.
    `void` | `setSample1FromChannel1(java.lang.String strSample1FromChannel1)` Sets the Sample1FromChannel1.
    `void` | `setSample1FromChannel2(NM objNM)` Sets the Sample1FromChannel2.
    `void` | `setSample1FromChannel2(java.lang.String strSample1FromChannel2)` Sets the Sample1FromChannel2.
    `void` | `setSample1FromChannelN(NM objNM)` Sets the Sample1FromChannelN.
    `void` | `setSample1FromChannelN(java.lang.String strSample1FromChannelN)` Sets the Sample1FromChannelN.
    `void` | `setSample2FromChannel1(NM objNM)` Sets the Sample2FromChannel1.
    `void` | `setSample2FromChannel1(java.lang.String strSample2FromChannel1)` Sets the Sample2FromChannel1.
    `void` | `setSample2FromChannelN(NM objNM)` Sets the Sample2FromChannelN.
    `void` | `setSample2FromChannelN(java.lang.String strSample2FromChannelN)` Sets the Sample2FromChannelN.
    `void` | `setSampleNFromChannelN(NM objNM)` Sets the SampleNFromChannelN.
    `void` | `setSampleNFromChannelN(java.lang.String strSampleNFromChannelN)` Sets the SampleNFromChannelN.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MA

          public MA()

      Default Constructor for MA

    - #### MA

          public MA(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for MA class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MA

          public MA(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for MA class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MA

          public MA(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for MA class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MA

          public MA(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for MA class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MA

          public MA(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for MA class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setSample1FromChannel1

          public void setSample1FromChannel1(java.lang.String strSample1FromChannel1)

      Sets the Sample1FromChannel1.
      Parameters:
        `strSample1FromChannel1` - Sample1 From Channel1

    - #### setSample1FromChannel1

          public void setSample1FromChannel1(NM objNM)

      Sets the Sample1FromChannel1.
      Parameters:
        `objNM` - Sample1 From Channel1

    - #### setSample1FromChannel2

          public void setSample1FromChannel2(java.lang.String strSample1FromChannel2)

      Sets the Sample1FromChannel2.
      Parameters:
        `strSample1FromChannel2` - Sample1 From Channel2

    - #### setSample1FromChannel2

          public void setSample1FromChannel2(NM objNM)

      Sets the Sample1FromChannel2.
      Parameters:
        `objNM` - Sample1 From Channel2

    - #### setSample1FromChannelN

          public void setSample1FromChannelN(java.lang.String strSample1FromChannelN)

      Sets the Sample1FromChannelN.
      Parameters:
        `strSample1FromChannelN` - Sample1 From ChannelN

    - #### setSample1FromChannelN

          public void setSample1FromChannelN(NM objNM)

      Sets the Sample1FromChannelN.
      Parameters:
        `objNM` - Sample1 From ChannelN

    - #### setSample2FromChannel1

          public void setSample2FromChannel1(java.lang.String strSample2FromChannel1)

      Sets the Sample2FromChannel1.
      Parameters:
        `strSample2FromChannel1` - Sample2 From Channel1

    - #### setSample2FromChannel1

          public void setSample2FromChannel1(NM objNM)

      Sets the Sample2FromChannel1.
      Parameters:
        `objNM` - Sample2 From Channel1

    - #### setSample2FromChannelN

          public void setSample2FromChannelN(java.lang.String strSample2FromChannelN)

      Sets the Sample2FromChannelN.
      Parameters:
        `strSample2FromChannelN` - Sample2 From ChannelN

    - #### setSample2FromChannelN

          public void setSample2FromChannelN(NM objNM)

      Sets the Sample2FromChannelN.
      Parameters:
        `objNM` - Sample2 From ChannelN

    - #### setSampleNFromChannelN

          public void setSampleNFromChannelN(java.lang.String strSampleNFromChannelN)

      Sets the SampleNFromChannelN.
      Parameters:
        `strSampleNFromChannelN` - SampleN From ChannelN

    - #### setSampleNFromChannelN

          public void setSampleNFromChannelN(NM objNM)

      Sets the SampleNFromChannelN.
      Parameters:
        `objNM` - SampleN From ChannelN

    - #### getSample1FromChannel1

          public NM getSample1FromChannel1()

      Returns Sample 1 From Channel 1
      Returns:
        NM - data type.

    - #### getSample1FromChannel2

          public NM getSample1FromChannel2()

      Returns Sample 1 From Channel 2
      Returns:
        NM - data type.

    - #### getSample1FromChannelN

          public NM getSample1FromChannelN()

      Returns Sample 1 From Channel N
      Returns:
        NM - data type.

    - #### getSample2FromChannel1

          public NM getSample2FromChannel1()

      Returns Sample 2 From Channel 1
      Returns:
        NM - data type.

    - #### getSample2FromChannelN

          public NM getSample2FromChannelN()

      Returns Sample 2 From Channel N
      Returns:
        NM - data type.

    - #### getSampleNFromChannelN

          public NM getSampleNFromChannelN()

      Returns Sample N From Channel N
      Returns:
        NM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.